Subject: bug#24450: closed (Re: bug#24450: [PATCHv3] Re: pypi importer outputs strange character series in optional dependency case.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 02 Jul 2019 01:55:04 +0000

Your bug report

#24450: pypi importer outputs strange character series in optional dependency case.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24450: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24450
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24450: [PATCHv3] Re: pypi importer outputs strange character series in optional dependency case.
From: Maxim Cournoyer <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked]
Date: Tue, 02 Jul 2019 10:54:30 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Maxim Cournoyer <[email-masked]> writes:

> Here's the current patch set, version 3, with the modifications
> as discussed in the previous exchanges [...]

I've now merged this patch series (version 3) into master, with top
commit 4b60ab8c006964d026dee8cf5f1260eba0b2bb81.

Closing.

Thank you!

Maxim

Subject: pypi importer outputs strange character series in optional dependency case.
From: ng0 <[email-masked]>
To: [email-masked]
Date: Fri, 16 Sep 2016 20:00:02 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I think this should not happen with pypi import:

  (inputs
    `(("python-certifi==2016.2.28"
       ,python-certifi==2016.2.28)
      ("python-dateutil==2.5.3"
       ,python-dateutil==2.5.3)
      ("python-flask-babel==0.11.1"
       ,python-flask-babel==0.11.1)
      ("python-flask==0.11.1" ,python-flask==0.11.1)
      ("python-lxml==3.6.0" ,python-lxml==3.6.0)
      ("python-ndg-httpsclient==0.4.1"
       ,python-ndg-httpsclient==0.4.1)
      ("python-pyasn1-modules==0.0.8"
       ,python-pyasn1-modules==0.0.8)
      ("python-pyasn1==0.1.9" ,python-pyasn1==0.1.9)
      ("python-pygments==2.1.3"
       ,python-pygments==2.1.3)
      ("python-pyopenssl==0.15.1"
       ,python-pyopenssl==0.15.1)
      ("python-pyyaml==3.11" ,python-pyyaml==3.11)
      ("python-requests[socks]==2.10.0"
       ,#{python-requests\x5b;socks\x5d;==2.10.0}#)
      ("python-setuptools" ,python-setuptools)))

I can understand the version numbers, I can also understand the optional
socks building/module of the python-requests, but why does it read like
Gobbledygook?  Can't we improve the output here?

For version numbers, this is not a format which happened recently which
is exclusive for python build system right? This is just bad formated
because of the pypi query.
I will first try and not pin the application to these version numbers,
maybe itjustworks™.

To reproduce: "guix import pypi searx"
-- 
              ng0